<?php
/*

 $Id: create_mx.php,v 1.18 2003/07/01 23:53:36 vollmerk Exp $
 $Source: /data/cvsroot/maint/docs/create_mx.php,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
/*

/*!
	@header Create MX Record
	The create-a-cname wizard mojo... we put the form here so the user can get instant feedback on the things 
	that are foobed with the form.

*/

/* Start House Keeping */
	
	require "../modules/config.php";


	// do anything that needs to be done here
	check_session();

	// setup the user environment
	setup_user_environment($action, $zone_id);
/* End House Keeping */


$domains = $conf['zone']->domains();

/*!
	@function create_mx
	@discussion do what ever you have to do to update the host if there's an error then we just re-display it
*/
if ($action == "create_mx") {
	$mx = new Mx(0);
	$domain = new Domain($domain_id);
	
	$mx->check_name($name, $domain, $priority);
	$mx->check_server($server);
	
        if (!$conf['zone']->has_domain_access($domain_id) AND !$user->is_admin) {
                $conf['error']->add_error('domain',$conf['zone']->name . " does not have access to $domain->name");
        }

	if (!$domain->name) {
		$conf['error']->add_error('domain',"Please Specifiy a Domain");
	} 
	
	// if it looks good then let's go ahead and create the mx
	if (!$conf['error']->error_state AND $user->has_access($conf['zone']->id)) {
		$mx_id = $mx->new_item($name,$server,$domain->id,$priority,$conf['zone']->id);
		// mx has been created.. let's shoot them off to viewing the mx
		
		header("Location: " . $conf['web_path'] . "/mx.php?action=show_mx&action_type=read&mx_id=$mx_id");
		exit();
	}

} //if create mx

show_template('header');


require($conf['prefix'] . "/templates/show_create_mx.inc");
