<?php

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: show_zone.inc,v 1.17 2003/07/16 21:03:06 vollmerk Exp $
 $Source: /data/cvsroot/maint/templates/show_zone.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show Zone Template
	Template for viewing a single zone and editing it. 

*/

// for those who are just searching, or aren't in a zone currently. 
if ($zone->domains()) { $domains = $zone->domains(); }
?>

<? if ($action_type) { ?>
<p><font class="header2">
<?
if ($action_type == "modified") { echo "Updated $zone->name with the following information"; }
elseif ($action_type == "read") { echo "Viewing $zone->name"; }
?>
</font>
&nbsp;
<? if ($user->has_access($zone->id)) { ?>
<a href = "zone.php?action=show_zone&zone_id=<? echo $zone->id; ?>">[Edit]</a>&nbsp;&nbsp;
<a href = "zone.php?action=delete&zone_id=<? echo $zone->id; ?>">[Delete]</a>
<? } ?>
</p>
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%" bgcolor="<?= $conf['light_bgcolor']; ?>">
        <tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt("host"); ?>">Hosts:<? $conf['ui']->display_field(commity(count_host($zone->id))); ?></td>
                <td><a href="<? echo $conf['web_path']; ?>/host.php?action=show_hosts&view_zone_id=<? echo $zone->id; ?>">Show Hosts</a>
                </td>
        </tr><tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt("cname"); ?>">CNAMEs:<? $conf['ui']->display_field(commify(count_cname($zone->id))); ?></td>
                <td><a href="<? echo $conf['web_path']; ?>/cname.php?action=show_cnames&view_zone_id=<? echo $zone->id; ?>">Show Cnames</a>
                </td>
        </tr><tr align = "left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->display_plain_txt("mxrecord"); ?>">MX's:<? $conf['ui']->display_field(commify(count_mx($zone->id))); ?></td>
		<td><a href="<? echo $conf['web_path']; ?>/mx.php?action=show_mxs&view_zone_id=<? echo $zone->id; ?>">Show MXs</a></td>
	</tr><tr align = "left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td colspan="2" >Merge <? $conf['ui']->display_field($zone->name); ?> with:</td>
	</tr><tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
                <td title="<? $conf['help']->display_plain_txt("domain"); ?>">Current Domain(s): </td>
                <td><? //display domains attached to this zone
		$domains = $conf['zone']->domains($zone->id);
		if (count($domains) == "0") { echo "No Domains Found"; }
		elseif (count($domains) == "1") { 
			$domain = new Domain($domains[0]->id); 
			echo "$domain->name"; 
			}
		elseif (count($domains) > "1") 
			{ 
			$conf['ui']->show_domain_select($domains,$domains[0]->id); 
			}
		?>
                </td>
        </tr><tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
		<td title="<? $conf['help']->display_plain_txt("users"); ?>">Current Users:</td>
		<td><? //show current users
		$users = $zone->get_users();
		if (count($users) > "1") { $conf['ui']->show_user_select($users, $users[0]);	}
		elseif (count($users) == "1") { echo $users[0]->username; }
		elseif (count($users) == "0") { echo "No Users Found"; }
		?>
		</td>
	</tr><tr bgcolor="<? $conf['ui']->alterante_bgcolor(); ?>" align="left">
		<td>Current Ranges</td>
		<td>&nbsp;</td>
	</tr>
</table>

<? show_template('bborder'); ?>

<? } else { ?>

<p><font class="header2">Editing <? echo $zone->name; ?> information</font></p>

<? show_template('tborder'); ?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" width="100%" align="left">
    		<td title="<? $conf['help']->display_plain_txt("zone_name"); ?>"><? $conf['help']->show_help_link("zone_name"); ?> Name: </td>
                <td>
			<form name="edit_zone" enctype="multipart/form-data" method="post" action="zone.php" style="Display:inline">
			<input type="hidden" name="zone_id" value="<? echo $zone->id ?>" />
                        <input name="name" value="<? echo $zone->name ?>" size="35" />
			<? if ($conf['error']->get_status('name') ) { $conf['error']->show_message('name'); } ?>
		</td><td>
			<input type="hidden" name="action" value="update_name" />
			<input type="submit" value="Update" />
			</form>
                </td>
        </tr><tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
		<td title="<? $conf['help']->display_plain_txt("domain"); ?>"><? $conf['help']->show_help_link("domain"); ?> Add Domain:</td>
		<td><? //display all domains
		$domain = new Domain(0);
		$domains = $domain->domains();
		echo "<form method=\"post\" action=\"zone.php\" enctype=\"multipart/form-data\" style=\"Display:inline\">";
		$conf['ui']->show_domain_select($domains,$domain[0]->id);
		echo "<input type=\"hidden\" name=\"zone_id\" value=\"$zone->id\" />";
		echo "<input type=\"hidden\" name=\"action\" value=\"add_domain\" />";
		echo "</td><td>";
		echo "<input type=\"Submit\"  value=\"Add Domain\"/></form>";
		?>
		</td>
	</tr><tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
		<td title="<? $conf['help']->display_plain_txt("domain"); ?>"><? $conf['help']->show_help_link("domain"); ?> Remove Domains:</td>
		<td><? //display domains attached to this zone
		$domains = $conf['zone']->domains($zone->id);
		if (count($domains) == "0") { echo "No Domains Found</td><td>"; }
		elseif (count($domains)) 
			{ 
			echo "<form method=\"post\" action=\"zone.php\" enctype=\"multipart/form-data\" style=\"Display:inline\">";
			$conf['ui']->show_domain_select($domains,$domains[0]->id);
			echo "<input type=\"hidden\" name=\"zone_id\" value=\"$zone->id\" />";
			echo "<input type=\"hidden\" name=\"action\" value=\"remove_domain\" />";
			echo "</td><td>";
			echo "<input type=\"Submit\"  value=\"Remove Domain\"/></form>";
			echo "</form>";
			}
		?>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
		<td title="<? $conf['help']->display_plain_txt("zone_range_info"); ?>"><? $conf['help']->show_help_link('zone_range_info'); ?>Update Ranges:</td>
		<td colspan="2">
			<a href="/range.php?action=show_ranges&purge_view=1">View All IP Ranges</a> |
			<a href="/range.php?action=show_zone_ranges&zone_id=<?= $zone->id ?>">View IP Ranges for this Zone</a>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
		<td title="<? $conf['help']->display_plain_txt("username"); ?>"><? $conf['help']->show_help_link("username"); ?> Add Users:</td>
		<td><form action="zone.php" method="post" enctype="multipart/form-data" style="display:inline">
		Username:<input type="textbox" name="username" size="35" />
		<? if ($conf['error']->get_status('username')) { $conf['error']->show_message('username'); } ?>
		</td>
		<td>
		<input type="submit" name="action" value="Add User" />
		<? if ($user->is_admin or $user->is_zone_admin) { ?>
		&nbsp;&nbsp;&nbsp;<input type="submit" name="action" value="Add Admin" />
		<? } ?>
		<input type="hidden" name="zone_id" value="<? echo $zone->id; ?>" />
		</form>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
		<td>Remove Users:</td>
		<td><? //remove users from a zone
		$users = $zone->get_users();
		if (count($users)) { 
			echo "<form method=\"post\" enctype=\"multipart/form-data\" style=\"Display:inline\" action=\"zone.php\">"; 
			$conf['ui']->show_user_select($users,$users[0]); 
			echo "<input type=\"hidden\" name=\"action\" value=\"remove_user\" />";
			echo "<input type=\"hidden\" name=\"zone_id\" value=\"$zone->id\" />";
			echo "</td><td><input type=\"submit\" value=\"Remove User\" /></form>\n";
			}
		elseif (count($users) == "0") { echo "No Users Found"; }
		?>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
		<form method="post" enctype="multipart/form-data" action="zone.php" style="Display:inline">
		<td title="<? $conf['help']->display_plain_txt("zone_purageable"); ?>"><? $conf['help']->show_help_link('zone_purgeable'); ?> Set Zone Purgability:</td>
		<td>&nbsp;</td>
		<td><? // if a zone is purgeable show a button to reverse that

		if ( $zone->purgeable == 'true' ) {
			$button_text = "Unset Zone Purgeable";
		}
		else {
			$button_text = "Set Zone Purgeable";
		}
		?>
			<input type="submit" name="action" value="<?= $button_text ?>" />
			<input type="hidden" name="zone_id" value="<?= $zone->id ?>" />
		</form>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
		<form method="post" enctype="multipart/form-data" action="zone.php" style="Display:inline">
		<td valign="top">
		Comment:</td>
		<td valign="top"><textarea cols="50" rows="20" name="comment"><?= $zone->comment ?></textarea></td>	
		<td valign="top"><input type="submit" name="action" value="Update Comment" />
		<input type="hidden" name="zone_id" value="<?= $zone->id ?>" />
		</form>
		</td>
	</tr>
	<? 
	$child = new Child("zone",$zone->id);
	if ($child->has_children) { 
	?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
		<td colspan="2"><?= $child->total; ?> Child Object(s)</td>
		<td><a href="zone.php?action=show_children&zone_id=<? echo $zone->id; ?>">[Show Children]</a></td>
	</tr>
	<? } ?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
		<td colspan="3">
		<form method="post" enctype="multipart/form-data" action="zone.php" style="Display:inline">
		<input type="hidden" name="zone_id" value="<?= $zone->id; ?>" />
		<input type="hidden" name="action" value="delete_zone" />
		<input type="submit" value="Delete Zone" />
		</form>
		</td>
	</tr>

</table>
<? show_template('bborder'); ?>

</form>
<? } ?>
