<?php

/*

 $Id: show_create_host.inc,v 1.10 2003/07/21 03:33:51 vollmerk Exp $
 $Source: /data/cvsroot/maint/templates/show_create_host.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Create Host Template
	This is the required template for making a new host. 
	This contains both "quick host create" and the full blown one

*/

// we'll need these bad boys below
$domains  = $conf['zone']->domains();
$ranges   = $conf['zone']->ip_ranges();
if ($host_view) { $user->host_view = $host_view; }
?>

<p><font class="header1">Create a new host in <?= $conf['zone']->name ?></font></p>

<form name="create_host" method="post" enctype="multipart/form-data" style="Display:inline" action="<?= $conf['web_path']; ?>/create_host.php">

<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
        <tr class="widget-title">
                <td colspan="2">Basic Host Information
                <a href="<?= $conf['web_path']; ?>/create_host.php?host_view=advanced">[Advanced]</a>
                <a href="<?= $conf['web_path']; ?>/create_host.php?host_view=basic">[Basic]</a>
                </td>
        </tr>
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" width="100%">
    		<td title="<? $conf['help']->display_plain_txt("hostname"); ?>"><? $conf['help']->show_help_link("hostname"); ?> Hostname: </td>
                <td>
                        <input name="name" value="<?= $name; ?>" size="35" />
			<?= $conf['error']->show_error('name'); ?>
                </td>
	</tr>
        <tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt("domain"); ?>"><? $conf['help']->show_help_link("domain"); ?> Domain: </td>
                <td>
			<? $conf['ui']->show_domain_select($domains, $domain_id) ?>
			<?= $conf['error']->show_error('domain'); ?>
                </td>
        </tr>
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt("ip_range"); ?>"><? $conf['help']->show_help_link("ip_range"); ?> IP Address: (select from a range) </td>
                <td>
			<? $conf['ui']->show_ip_ranges_select($ranges, $range_id) ?>&nbsp;&nbsp;&nbsp;
		        <a href="<?= $conf['web_path']; ?>/range.php?action=display_range_comment" target="_blank">[Comments]</a>
			<?= $conf['error']->show_error('ip_range'); ?>
                </td>
        </tr>
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt("ip_range"); ?>"><? $conf['help']->show_help_link("ip_range"); ?> Specify a IP Address:</td>
		<td>
			<input type="textbox" maxlength="15" size="16" name="specified_ip" value="<?= $specified_ip; ?>" />&nbsp;&nbsp; 
			<?= $conf['error']->show_error('specified_ip'); ?>
		</td>
	</tr>
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt("hardware_address"); ?>"><? $conf['help']->show_help_link("hardware_address"); ?> Hardware Address: </td>
                <td>
                        <input name="ha" value="<?= $ha; ?>" size="18" maxlength="18" />
			<?= $conf['error']->show_error('ha'); ?>
                </td>
        </tr>
</table>
<? show_template('bborder'); ?>

<? if ($user->host_view == "advanced") { ?>
<br /><br /><br />

<? show_template('tborder'); ?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">
        <tr class="widget-title">
                <td colspan="2">Advanced Host Information</td>
        </tr>
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->display_plain_txt("host_expire"); ?>"><? $conf['help']->show_help_link("host_expire"); ?>Expire In:</td>
		<td>
			<select name="expire">
				<option value="1">one day</option>
				<option value="7">one week</option>
				<option value="31">one month</option>
				<option value="93">three months</option>
				<option value="" SELECTED>Never Expire</option>
			</select>
		</td>
	</tr>
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt("host_info_field"); ?>"><? $conf['help']->show_help_link("host_info_field"); ?> Operating System: </td>
                <td>
                        <input name="os" value="<?= $os; ?>" size="35" maxlength="35" />
                </td>
        </tr>
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt("host_info_field"); ?>"><? $conf['help']->show_help_link("host_info_field"); ?> Hardware Type: </td>
                <td>
                        <input name="type" value="<?= $type ?>" size="35" maxlength="35" />
                </td>
        </tr>
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt("host_info_field"); ?>"><? $conf['help']->show_help_link("host_info_field"); ?> Location: </td>
                <td>
                        <input name="location" value="<?= $location; ?>" size="35" maxlength="35" />
                </td>
        </tr>
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt("host_info_field"); ?>"><? $conf['help']->show_help_link("host_info_field"); ?> Serial Number: </td>
                <td>
                        <input name="serial" value="<?= $serial; ?>" size="35" maxlength="35" />
                </td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt('host_info_field'); ?>"><? $conf['help']->show_help_link('host_info_field'); ?> Purchase Date:</td>
                <td>
                <input name="purchase_date" value="<?= $purchase_date; ?>" size="35" maxlength="35" />
                </td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt('host_info_field'); ?>"><? $conf['help']->show_help_link('host_info_field'); ?> PO Number:</td>
                <td>
                <input name="po_number" value="<?= $po_number; ?>" size="35" maxlength="35" />
                </td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt('host_info_field'); ?>"><? $conf['help']->show_help_link('host_info_field'); ?> Warranty Date:</td>
                <td>
                <input name="warranty_date" value="<?= $warranty_date; ?>" size="35" maxlength="35" />
                </td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt('host_info_field'); ?>"><? $conf['help']->show_help_link('host_info_field'); ?> Owning Unit:</td>
                <td>
                <input name="owning_unit" value="<?= $owning_unit; ?>" size="35" maxlength="35" />
                </td>
        </tr>
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor();?>">
                <td title="<? $conf['help']->display_plain_txt("other_id"); ?>"><? $conf['help']->show_help_link("other_id"); ?> Other ID: </td>
                <td>
                        <input name="other_id" value="<?= $other_id; ?>" size="35" maxlength="35" />
                </td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt('host_info_field'); ?>"><? $conf['help']->show_help_link('host_info_field'); ?> User ID:</td>
                <td>
                <input name="user_id" value="<?= $user_id; ?>" size="35" maxlength="35" />
                </td>
        </tr>

</table>
<? show_template('bborder'); ?>
<? } //end if host_view == advanced ?>



<? /* CREAT FORM FOR CREATING A HOST ADV AND BASIC */ ?>
<br /><br />
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>&nbsp;</td>
		<td>
			<input type="submit" name="action" value="Create New Host" />&nbsp;&nbsp;
			<input type="submit" name="action" value="Cancel" />
		</td>
	</tr>
</table>
<? show_template('bborder'); ?>
<input type="hidden" name="not_first_visit" value="1" />

</form>

